| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
bb2diaspora.php File Reference

## Functions
| get_bb_tag_pos ($s, $name, $occurance=1)
| bb_tag_preg_replace ($pattern, $replace, $name, $s)
| share_shield ($m)
| share_unshield ($m)
| diaspora_mention_callback ($matches)
| diaspora2bb ($s, $use_zrl=false)
| stripdcode_br_cb ($s)
| diaspora_ul ($s)
| diaspora_ol ($s)
| bb2dmention_callback ($match)
| bb2diaspora_itemwallwall (&$item)
| bb2diaspora_itembody ($item)
| bb2diaspora ($Text, $preserve_nl=false, $fordiaspora=true)
| unescape_underscores_in_links ($m)
| format_event_diaspora ($ev)

## Function Documentation

bb2diaspora | ( |  | $Text,
|  |  | $preserve_nl = `false`,
|  |  | $fordiaspora = `true`
| ) |  |

Transform #tags, strip off the [url] and replace spaces with underscore

Referenced by bb2diaspora_itembody(), diaspora_send_mail(), and format_event_diaspora().

bb2diaspora_itembody | ( |  | $item | ) |

Referenced by diaspora_send_followup(), diaspora_send_relay(), diaspora_send_status(), p_init(), and store_diaspora_comment_sig().

bb2diaspora_itemwallwall | ( | & | $item | ) |

Referenced by bb2diaspora_itembody().

bb2dmention_callback | ( |  | $match | ) |

bb_tag_preg_replace | ( |  | $pattern,
|  |  | $replace,
|  |  | $name,
|  |  | $s
| ) |  |

Referenced by diaspora2bb().

diaspora2bb | ( |  | $s,
|  |  | $use_zrl = `false`
| ) |  |

Referenced by diaspora_comment(), diaspora_conversation(), diaspora_message(), diaspora_post(), diaspora_reshare(), and item_post().

diaspora_mention_callback | ( |  | $matches | ) |

diaspora_ol | ( |  | $s | ) |

diaspora_ul | ( |  | $s | ) |

format_event_diaspora | ( |  | $ev | ) |

get_bb_tag_pos | ( |  | $s,
|  |  | $name,
|  |  | $occurance = `1`
| ) |  |

Referenced by bb_tag_preg_replace().

share_shield | ( |  | $m | ) |

share_unshield | ( |  | $m | ) |

stripdcode_br_cb | ( |  | $s | ) |

unescape_underscores_in_links | ( |  | $m | ) |